Open Lighting Architecture: ola::plugin::osc::OSCDevice Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
ola::plugin::osc::OSCDevice Class Reference
Inheritance diagram for ola::plugin::osc::OSCDevice:

## Classes
struct | PortConfig

## Public Types
typedef std::vector< PortConfig > | PortConfigs
Public Types inherited from ola::AbstractDevice
typedef BaseCallback0< void > | ConfigureCallback

## Public Member Functions
| OSCDevice (AbstractPlugin *owner, PluginAdaptor *plugin_adaptor, uint16_t udp_port, const std::vector< std::string > &addresses, const PortConfigs &port_configs)
std::string | DeviceId () const
| The device ID.
bool | AllowLooping () const
bool | AllowMultiPortPatching () const
Public Member Functions inherited from ola::Device
| Device (AbstractPlugin *owner, const std::string &name)
const std::string | Name () const
void | SetName (const std::string &name)
AbstractPlugin * | Owner () const
std::string | UniqueId () const
bool | IsEnabled () const
bool | Start ()
bool | Stop ()
bool | AddPort (InputPort *port)
bool | AddPort (OutputPort *port)
void | InputPorts (std::vector< InputPort * > *ports) const
void | OutputPorts (std::vector< OutputPort * > *ports) const
InputPort * | GetInputPort (unsigned int port_id) const
OutputPort * | GetOutputPort (unsigned int port_id) const
void | DeleteAllPorts ()
virtual void | Configure (ola::rpc::RpcController *controller, const std::string &request, std::string *response, ConfigureCallback *done)

## Protected Member Functions
bool | StartHook ()
| Called during Start().
Protected Member Functions inherited from ola::Device
virtual void | PrePortStop ()
virtual void | PostPortStop ()

## Protected Attributes
PluginAdaptor * | m_plugin_adaptor
const std::vector< std::string > | m_port_addresses
const PortConfigs | m_port_configs
std::auto_ptr< class OSCNode > | m_osc_node

## Static Protected Attributes
static const char | DEVICE_NAME [] = "OSC Device"

## Constructor & Destructor Documentation

## ◆ OSCDevice()

ola::plugin::osc::OSCDevice::OSCDevice | ( | AbstractPlugin * | owner,
|  | PluginAdaptor * | plugin_adaptor,
|  | uint16_t | udp_port,
|  | const std::vector< std::string > & | addresses,
|  | const PortConfigs & | port_configs )

Constructor for the OSCDevice

Parameters

  owner | the plugin which created this device
  plugin_adaptor | a pointer to a PluginAdaptor object
  udp_port | the UDP port to listen on
  addresses | a list of strings to use as OSC addresses for the input ports.
  port_configs | config to use for the ports

## Member Function Documentation

## ◆ AllowLooping()

bool ola::plugin::osc::OSCDevice::AllowLooping | ( |  | ) | const
| inlinevirtual

Reimplemented from ola::Device.

## ◆ AllowMultiPortPatching()

bool ola::plugin::osc::OSCDevice::AllowMultiPortPatching | ( |  | ) | const
| inlinevirtual

Reimplemented from ola::Device.

## ◆ DeviceId()

std::string ola::plugin::osc::OSCDevice::DeviceId | ( |  | ) | const
| inlinevirtual

The device ID.

Returns
  an id which is unique within the plugin,

Implements ola::Device.

## ◆ StartHook()

bool ola::plugin::osc::OSCDevice::StartHook | ( |  | ) |
| protectedvirtual

Called during Start().

This allows the subclass to perform device initialization.

Reimplemented from ola::Device.

The documentation for this class was generated from the following files:

- plugins/osc/OSCDevice.h
- plugins/osc/OSCDevice.cpp